<template>
  <v-dialog
    v-model="dialog"
    fullscreen
    transition="dialog-bottom-transition"
    hide-overlay
  >
    <template v-slot:activator="{ on }">
      <v-btn color="primary" v-on="on">Add your own</v-btn>
    </template>
    <v-card>
      <v-toolbar dark color="primary">
        <v-btn icon dark @click="dialog = false">
          <v-icon>close</v-icon>
        </v-btn>
        <v-toolbar-title>Upload datasets</v-toolbar-title>
      </v-toolbar>
      <file-input class="pt-4">
        <v-btn color="success" @click="uploadDataSets">Upload</v-btn>
      </file-input>
    </v-card>
  </v-dialog>
</template>

<script>
import FileInput from "../components/FileInput.vue";

export default {
  components: {
    FileInput
  },
  data() {
    return {
      dialog: false
    };
  },
  methods: {
    uploadDataSets() {
      this.dialog = false;
      this.$store.dispatch("uploadDataSets");
    }
  }
};
</script>

<style></style>
